<?php
/**
 * @version     $Id$
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

//JHtml::addIncludePath(JPATH_COMPONENT.'helpers/html');
JHtml::stylesheet('com_jumbotron/admin.css', null, true);
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>
<script type="text/javascript">
	// Attach a behaviour to the submit button to check validation.
	Joomla.submitbutton = function(task)
	{
		var form = document.id('jumbotron-form');
		if (task == 'jumbotron.cancel' || document.formvalidator.isValid(form)) {
			<?php echo $this->form->getField('body')->save(); ?>
			Joomla.submitform(task, form);
		}
		else {
			<?php JText::script('COM_JUMBOTRON_ERROR_N_INVALID_FIELDS'); ?>
			// Count the fields that are invalid.
			var elements = form.getElements('fieldset').concat(Array.from(form.elements));
			var invalid = 0;

			for (var i = 0; i < elements.length; i++) {
				if (document.formvalidator.validate(elements[i]) == false) {
					valid = false;
					invalid++;
				}
			}

			alert(Joomla.JText._('COM_JUMBOTRON_ERROR_N_INVALID_FIELDS').replace('%d', invalid));
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_jumbotron&layout=edit&id='.(int) $this->item->id); ?>"
	method="post" name="adminForm" id="jumbotron-form" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<table border="0" cellspacing="0" cellpadding="0" class="adminformlist">
				<tr>
					<td>
						<?php echo $this->form->getLabel('season'); ?>
						<?php echo $this->form->getInput('season'); ?>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<?php echo $this->form->getLabel('game_date'); ?>
						<?php echo $this->form->getInput('game_date'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('tba'); ?>
						<?php echo $this->form->getInput('tba'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('home_team'); ?>
						<?php echo $this->form->getInput('home_team'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('home_score'); ?>
						<?php echo $this->form->getInput('home_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('away_team'); ?>
						<?php echo $this->form->getInput('away_team'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('away_score'); ?>
						<?php echo $this->form->getInput('away_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('visitor_two'); ?>
						<?php echo $this->form->getInput('visitor_two'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('visitor2_score'); ?>
						<?php echo $this->form->getInput('visitor2_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('visitor_three'); ?>
						<?php echo $this->form->getInput('visitor_three'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('visitor3_score'); ?>
						<?php echo $this->form->getInput('visitor3_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('visitor_four'); ?>
						<?php echo $this->form->getInput('visitor_four'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('visitor4_score'); ?>
						<?php echo $this->form->getInput('visitor4_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('visitor_five'); ?>
						<?php echo $this->form->getInput('visitor_five'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('visitor5_score'); ?>
						<?php echo $this->form->getInput('visitor5_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('visitor_six'); ?>
						<?php echo $this->form->getInput('visitor_six'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('visitor6_score'); ?>
						<?php echo $this->form->getInput('visitor6_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('visitor_seven'); ?>
						<?php echo $this->form->getInput('visitor_seven'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('visitor7_score'); ?>
						<?php echo $this->form->getInput('visitor7_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('visitor_eight'); ?>
						<?php echo $this->form->getInput('visitor_eight'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('visitor8_score'); ?>
						<?php echo $this->form->getInput('visitor8_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('visitor_nine'); ?>
						<?php echo $this->form->getInput('visitor_nine'); ?>
					</td>
					<td>
						<?php echo $this->form->getLabel('visitor9_score'); ?>
						<?php echo $this->form->getInput('visitor9_score'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('stadium_id'); ?>
						<?php echo $this->form->getInput('stadium_id'); ?>
					</td>
				</tr>
				<tr>
					<td>
						<?php echo $this->form->getLabel('final_type'); ?>
						<?php echo $this->form->getInput('final_type'); ?>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<?php echo $this->form->getLabel('game_intro'); ?>
						<?php echo $this->form->getInput('game_intro'); ?>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<?php echo $this->form->getLabel('game_full'); ?>
						<?php echo $this->form->getInput('game_full'); ?>
					</td>
				</tr>
			</table>
			
			<?php echo $this->form->getLabel('body'); ?>
			<div class="clr"></div>
			<?php echo $this->form->getInput('body'); ?>

		</fieldset>
	</div>
	<div class="width-40 fltrt">
		<?php echo JHtml::_('sliders.start','jumbotron-sliders-'.$this->item->id, array('useCookie' => 1)); ?>

		<?php echo $this->loadTemplate('otheroptions'); ?>

		<?php echo $this->loadTemplate('metadata'); ?>

	</div>
	<div class="clr"></div>

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
<p class="copyright"><?php echo JText::_('COM_JUMBOTRON_COPYRIGHT_VERSION'); ?></p>